%define upstream_name    Dist-Zilla-PluginBundle-AVAR
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use L<Dist::Zilla> like AVAR does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.28
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Chrome::Term)
BuildRequires: perl(Dist::Zilla::Dist::Builder)
BuildRequires: perl(Dist::Zilla::Plugin::Authority)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker::Awesome)
BuildRequires: perl(Dist::Zilla::Plugin::MetaNoIndex)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.60.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.102.810
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that AVAR uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Aug 30 2023 tv <tv> 0.350.0-1.mga10
+ Revision: 1981077
- update to 0.35

* Sun Mar 20 2022 umeabot <umeabot> 0.320.0-6.mga9
+ Revision: 1803107
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-5.mga8
+ Revision: 1494143
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.320.0-4.mga7
+ Revision: 1267303
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-3.mga6
+ Revision: 1025922
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.320.0-2.mga6
+ Revision: 967135
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 848173
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-3.mga5
+ Revision: 741044
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.310.0-1.mga5
+ Revision: 624254
- update to 0.31

* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-2.mga4
+ Revision: 537094
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.300.0-1.mga4
+ Revision: 486311
- update to 0.30

* Fri Jun 07 2013 jquelin <jquelin> 0.280.0-1.mga4
+ Revision: 439184
- update to 0.28

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 366558
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.26

* Mon Apr 04 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 80356
- update to 0.25

* Sat Feb 26 2011 jquelin <jquelin> 0.240.0-1.mga1
+ Revision: 60679
- update to 0.24

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 41080
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-AVAR

